Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.blender.org/blender.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBastien Montagne <montagne29@wanadoo.fr>2013-04-05 16:37:48 +0400
committerBastien Montagne <montagne29@wanadoo.fr>2013-04-05 16:37:48 +0400
commit4cfffd863b69bad2962fbfef8dbc565b0c739c65 (patch)
tree331cedbd98b1b73470dadafeac8ff31b49e30a90 /build_files/build_environment
parent81621eb69638b6b0edbf4f389702e29fda4be1be (diff)
First fix for install_deps and ubuntu 10.04 (no libtiff5, only libtiff4, wonder why this package does not work as jpeg or png ones)...
This allows compilation of OIIO, install_deps.sh still working though (on this old OS, all libs have to be compiled, takes time... :/).
Diffstat (limited to 'build_files/build_environment')
-rwxr-xr-xbuild_files/build_environment/install_deps.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/build_files/build_environment/install_deps.sh b/build_files/build_environment/install_deps.sh
index 85b27365d6e..d23ea0ba0ec 100755
--- a/build_files/build_environment/install_deps.sh
+++ b/build_files/build_environment/install_deps.sh
@@ -1303,10 +1303,16 @@ install_DEB() {
if [ $? -eq 0 ]; then
_packages="$_packages $TIFF-dev"
else
- TIFF="libtiff"
+ TIFF="libtiff4" # Some old distro, like e.g. ubuntu 10.04 :/
check_package_DEB $TIFF
if [ $? -eq 0 ]; then
_packages="$_packages $TIFF-dev"
+ else
+ TIFF="libtiff"
+ check_package_DEB $TIFF
+ if [ $? -eq 0 ]; then
+ _packages="$_packages $TIFF-dev"
+ fi
fi
fi